## org.apache.myfaces.custom.tree
Interface IconProvider

public interface IconProvider

Interface to be implemented by node icon providers.

Version:
  $Revision: 169651 $ $Date: 2005-05-11 12:14:23 -0400 (Wed, 11 May 2005) $
Author:
  Oliver Rossmueller

Method Summary
`java.lang.String` `getIconUrl(java.lang.Object userObject, int childCount, boolean isLeaf)`

Method Detail

### getIconUrl

    public java.lang.String getIconUrl(java.lang.Object userObject,
                                       int childCount,
                                       boolean isLeaf)